#include <bits/stdc++.h>
using namespace std;
int n,m,f,g;
int a[1000][1000];
int pr[100000];
int b[100000];

int main (){

for(int i=1;i<=m;i++){
    for(int j=1;j<=m;j++){
        a[i][j]=0;
        a[j][i]=0;
    }
}

cin >> n >> m;

for(int i=1;i<=n;i++){
    cin >> b[i];
}

for(int i=1;i<=m;i++){
        cin >> f >>g;
        pr[f]+=1;
        pr[g]+=1;


}

int br=0;
for(int i=1;i<=n;i++){
br+=pr[i];

}


cout << br <<endl;
return 0;
}